Bug 44596 - Grey/Blank Screen when switching MainPage to MasterDetail with TabbedPage
Summary: Grey/Blank Screen when switching MainPage to MasterDetail with TabbedPage
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Android (show other bugs)
Version: 2.3.2
Hardware: Macintosh Mac OS
: --- major
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-21 19:29 UTC by Rob Hedgpeth
Modified: 2016-11-03 11:37 UTC (History)
3 users (show)

See Also:
Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
The Sample Projects (112.92 KB, application/zip)
2016-09-21 19:29 UTC, Rob Hedgpeth
Details

Description Rob Hedgpeth 2016-09-21 19:29:44 UTC
Created attachment 17651 [details]
The Sample Projects

When switching the MainPage (in App.cs) from a SplashPage (just a basic ContentPage) to a MasterDetail with a TabbedPage with a single child ContentPage a blank/grey screen is shown for a short amount of time before the TabbedPage's child page is shown. This is more noticeable on lower end devices, and when more content is added to the ContentPage within the TabbedPage. This issue, however, does not occur in Xamarin.Forms 2.0.1 (default when creating a new project in XS). Once I updated to 2.3.2, however, it does. I've included two projects that are identical except for the version of Xamarin.Forms they're using; 2.0.1 and 2.3.2.

Thanks,

Rob
Comment 1 Samantha Houts [MSFT] 2016-10-19 19:01:34 UTC
Should be fixed in 2.3.3-pre3. Thank you!
Comment 2 Parmendra Kumar 2016-11-03 11:37:52 UTC
I have checked this issue with Xamarin.Forms 2.3.3-pre3 and observed this issue has been fixed.

Hence closing this issue.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.